import react from '@vitejs/plugin-react'
import { defineConfig } from 'vite'

export default defineConfig({
  build: {
    minify: false,
    sourcemap: false,
    target: 'es2022',
  },
  optimizeDeps: {
    esbuildOptions: {
      target: 'es2022',
    },
  },
  plugins: [react()],
  publicDir: 'assets',
  server: {
    host: true,
    open: true,
  },
})
